<script lang="ts">
    import Icon from './Icon/Icon.svelte'

    export let value: number
    export let production: number
    export let name: string
    export let max: number
</script>

<div class="resource">
    <Icon {name} />
    <div>
        <p class="value" class:max={value === max}>{value}</p>
        <span class="production">{'+' + production}</span>
    </div>
</div>

<style lang="postcss">
    .resource {
        @apply h-12 flex items-center gap-x-2 text-right;
        grid-template-columns: 1.5rem 1fr;

        .value {
            @apply text-lg font-semibold text-trueGray-900 dark:text-trueGray-100 -mb-2;

            &.max {
                @apply text-red-500 dark:text-red-400;
            }
        }

        .production {
            @apply text-sm text-trueGray-600 dark:text-fuchsia-300;
        }
    }
</style>
